Module | Locale::Driver::Env
In: | lib/locale/driver/env.rb

Locale::Driver::Env module. Detect the user locales and the charset. All drivers(except CGI) refer environment variables first and use it as the locale if it’s defined. This is a low-level module. Application shouldn’t use this directly.

### Methods

locale locales

### Public Instance methods

locale()

Gets the locale from environment variable. (LC_ALL > LC_MESSAGES > LANG) Returns: the locale as Locale::Tag::Posix.

locales()

Gets the locales from environment variables. (LANGUAGE > LC_ALL > LC_MESSAGES > LANG)

- Returns: an Array of the locale as Locale::Tag::Posix or nil.

[Validate]